package io.tswf.minecraft.metamorphosis.cpw.modlauncher

import com.google.auto.service.AutoService
import groovy.transform.CompileStatic
import io.tswf.minecraft.metamorphosis.core.scanning.IFilesToScanProvider

@CompileStatic
@AutoService(IFilesToScanProvider)
class ModsDirJarFilesToScanProvider implements IFilesToScanProvider{

    @Override
    List<File> getFilesToScan() {
        //TODO: Технически, если будет несколько версий, то может цепануть лишнего. Но пока не критично
        return new File("./mods/").walkSubFiles()
                .filter { it.name.endsWith(".jar") }
                .toList()
    }
}
